[LISP] Layer quick question

Discussion in 'AutoCAD' started by kam--mik, Nov 3, 2004.

  1. kam--mik

    kam--mik Guest

    hi all, I've 2 LISP questions in layer.

    1) How to we specify a layer in newly created object when we use commnd.
    (command pline pt1 pt2 c)

    2) How do we move an existing object from one layer to another?
     
    kam--mik, Nov 3, 2004
    #1
  2. kam--mik

    Doug Broad Guest

    a. Preset the layer first with (setvar "clayer" "yourlayer)
    b. Change the layer afterwards using commands or vla-methods
    c. Accept the current layer.
    a. (vla-put-layer <vla-object> "yourlayer")
    b. (command "chprop" <ename or selection set> "la" "yourlayer")
    c. Have a reactor do a) above.
     
    Doug Broad, Nov 3, 2004
    #2
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.